Subject: Re: [PATCH v6 net-next 01/14] pds_core: initial framework for pds_core PF driver

From: Leon Romanovsky <[email-masked]>
Date: Thu, 30 Mar 2023 10:02:37 +0300

On Wed, Mar 29, 2023 at 07:27:33PM -0700, Jakub Kicinski wrote:
> On Wed, 29 Mar 2023 13:53:23 -0700 Shannon Nelson wrote:
> > The devlink alloc and registration are obviously a part of the probe and 
> > thus device control setup, so I’m not sure why this is an issue.
> > 
> > As is suggested in coding style, the smaller functions make for easier 
> > reading, and keeps the related locking in a nice little package.  Having 
> > the devlink registration code gathered in one place in the devlink.c 
> > file seems to follow most conventions, which then allows the helper 
> > functions to be static to that file.  This seems to be what about half 
> > the drivers that use devlink have chosen to do.
> 
> It is precisely the painful experience of dealing with those drivers
> when refactoring devlink code which makes me ask you to do it right.

It will be great if such pushback would be expressed for all types of obfuscations
and not devlink only.

Thanks